Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class ExpressionEvaluatorPostProcessor

    java.lang.Object
      org.mule.config.spring.ExpressionEvaluatorPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanPostProcessor

    public class ExpressionEvaluatorPostProcessor

extends Object
implements org.springframework.beans.factory.config.BeanPostProcessor

Registers custom declarative expression evaluators configured via Spring config.

See Also:
  `ExpressionEvaluator`

Constructor Summary
`ExpressionEvaluatorPostProcessor(MuleContext muleContext)`

Method Summary
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionEvaluatorPostProcessor

    public ExpressionEvaluatorPostProcessor(MuleContext muleContext)

Method Detail

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.